Name:          umbrello
Version:       4.13.2
Release:       1mamba
Summary:       UML modelling tool and code generator
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/umbrello-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Provides:      umbrello4
Obsoletes:     umbrello4
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
UML modelling tool and code generator. This package is part of KDE4.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/umbrello
%{_kde4_xdgappsdir}/umbrello.desktop
%dir %{_kde4_datadir}/umbrello
%{_kde4_datadir}/umbrello/common.ent
%{_kde4_datadir}/umbrello/docbook2xhtml.xsl
%dir %{_kde4_datadir}/umbrello/headings
%{_kde4_datadir}/umbrello/headings/*
%dir %{_kde4_datadir}/umbrello/icons
%dir %{_kde4_datadir}/umbrello/icons/hicolor/
%{_kde4_datadir}/umbrello/icons/hicolor/*
%dir %{_kde4_datadir}/umbrello/layouts
%{_kde4_datadir}/umbrello/layouts/*.desktop
%dir %{_kde4_datadir}/umbrello/pics
%{_kde4_datadir}/umbrello/pics/*
%{_kde4_datadir}/umbrello/umbrelloui.rc
%{_kde4_datadir}/umbrello/xmi.css
%{_kde4_datadir}/umbrello/xmi2docbook.xsl
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/activity-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/aggregation.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/association.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/authors.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/category.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/class-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/class.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/code-import.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/code_import_and_generation.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/collaboration-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/common
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/composition.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/credits.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/disjoint-specialization.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/entity-relationship-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/entity.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/folders.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/generalization.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/generation-options.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/index.cache.bz2
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/index.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/introduction.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/other_features.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/overlapping-specialization.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/sequence-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/state-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/umbrello-main-screen.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/umbrello-ui.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/uml_basics.docbook
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/use-case-diagram.png
%doc %lang(en) %{_kde4_htmldir}/en/umbrello/working_with_umbrello.docbook
%{_kde4_icondir}/hicolor/*/apps/umbrello.png
%{_kde4_icondir}/hicolor/*/mimetypes/application-x-uml.png
%{_kde4_icondir}/hicolor/scalable/apps/umbrello.svgz
%doc AUTHORS COPYING COPYING.DOC THANKS

%changelog
* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
